# PetscViewerSiloOpen

This routine writes the mesh and the partition in the SILO format used by MeshTv, which can be used to create plots and MPEG movies.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscViewerSiloOpen(MPI_Comm comm, const char name[], PetscViewer *viewer)

Collectiveon MPI_Comm

### Input Parameters

| comm | - The MPI communicator
| name | - The name for the Silo files

### Output Parameter

viewer -A viewer

### Notes

This viewer is intended to work with the SILO portable database format. Details on SILO, MeshTv, and companion software can be obtained by sending mail to meshtv@viper.llnl.gov

### Options Database Keys

### Keywords

PetscViewer, Silo, open

Level:beginner
Location: src/sys/viewer/impls/silo/vsilo.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages